For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • GETListar clientes
      • POSTCrear un cliente
      • GETObtener un cliente
      • PUTActualizar un cliente
LogoLogo
Referencia APICustomers

Crear un cliente

POST
https://app.recurrente.com/api/customers
POST
/api/customers
$curl -X POST https://app.recurrente.com/api/customers \
> -H "X-SECRET-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "email": "nuevo@ejemplo.com"
>}'
1{
2 "id": "cus_abc123",
3 "user_id": "usr_xyz789",
4 "email": "cliente@ejemplo.com",
5 "name": "Maria Garcia",
6 "phone": "string",
7 "address": "string",
8 "nit": "string",
9 "metadata": {}
10}
Crea un nuevo cliente. Si ya existe un usuario con el email proporcionado, el cliente se asocia a ese usuario. Si el email es nuevo, se crean tanto el usuario como el cliente.
Was this page helpful?
Previous

Obtener un cliente

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Request

This endpoint expects an object.
emailstringRequiredformat: "email"

Email del cliente (se usa para buscar o crear el usuario)

full_namestringOptional
Nombre completo
namestringOptional
Nombre para mostrar
phonestringOptional

(Opcional) Número de teléfono

addressstringOptional

(Opcional) Dirección

nitstringOptional

(Opcional) Número de identificación tributaria

metadatamap from strings to stringsOptional

(Opcional) Metadata personalizada

Response

Cliente creado o encontrado
idstring

ID único del cliente

user_idstring
ID del usuario asociado
emailstringformat: "email"
Email del cliente
namestring
Nombre del cliente
phonestring or null

Número de teléfono

addressstring or null

Dirección

nitstring or null

Número de identificación tributaria

metadatamap from strings to any or null
Metadata personalizada

Errors

400
Bad Request Error